Search documentation of wx

# View Source wxFontPickerCtrl (wx v2.4.2)

Functions for wxFontPickerCtrl class

This control allows the user to select a font. The generic implementation is a button which brings up a `wxFontDialog` when clicked. Native implementation may differ but this is usually a (small) widget which give access to the font-chooser dialog. It is only available if `wxUSE_FONTPICKERCTRL` is set to 1 (the default).

Styles

This class supports the following styles:

See: `wxFontDialog`, `wxFontPickerEvent`

This class is derived (and can use functions) from: `wxPickerBase` `wxControl` `wxWindow` `wxEvtHandler`

wxWidgets docs: wxFontPickerCtrl

## Events

Event types emitted from this class: `command_fontpicker_changed`

# Summary

## Types

wxFontPickerCtrl()

## Functions

create(This, Parent, Id)
create/4

Creates this widget with given parameters.

destroy(This)

Destroys the object.

getMaxPointSize(This)

Returns the maximum point size value allowed for the user-chosen font.

getSelectedFont(This)

Returns the currently selected font.

new()
new(Parent, Id)
new/3

Initializes the object and calls `create/4` with all the parameters.

setMaxPointSize(This, Max)

Sets the maximum point size value allowed for the user-chosen font.

setSelectedFont(This, Font)

Sets the currently selected font.

# Types

Link to this type

# wxFontPickerCtrl()

View Source

    -type wxFontPickerCtrl() :: wx:wx_object().

# Functions

Link to this function

# create(This, Parent, Id)

View Source

    -spec create(This, Parent, Id) -> boolean()
                    when This :: wxFontPickerCtrl(), Parent :: wxWindow:wxWindow(), Id :: integer().

Link to this function

# create/4

View Source

    -spec create(This, Parent, Id, [Option]) -> boolean()
                    when
                        This :: wxFontPickerCtrl(),
                        Parent :: wxWindow:wxWindow(),
                        Id :: integer(),
                        Option ::
                            {initial, wxFont:wxFont()} |
                            {pos, {X :: integer(), Y :: integer()}} |
                            {size, {W :: integer(), H :: integer()}} |
                            {style, integer()} |
                            {validator, wx:wx_object()}.

Creates this widget with given parameters.

Return: true if the control was successfully created or false if creation failed.

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxFontPickerCtrl()) -> ok.

Destroys the object.

Link to this function

# getMaxPointSize(This)

View Source

    -spec getMaxPointSize(This) -> integer() when This :: wxFontPickerCtrl().

Returns the maximum point size value allowed for the user-chosen font.

Link to this function

# getSelectedFont(This)

View Source

    -spec getSelectedFont(This) -> wxFont:wxFont() when This :: wxFontPickerCtrl().

Returns the currently selected font.

Note that this function is completely different from `wxWindow:getFont/1`.

Link to this function

# new()

View Source

    -spec new() -> wxFontPickerCtrl().

Link to this function

# new(Parent, Id)

View Source

    -spec new(Parent, Id) -> wxFontPickerCtrl() when Parent :: wxWindow:wxWindow(), Id :: integer().

Link to this function

# new/3

View Source

    -spec new(Parent, Id, [Option]) -> wxFontPickerCtrl()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Id :: integer(),
                     Option ::
                         {initial, wxFont:wxFont()} |
                         {pos, {X :: integer(), Y :: integer()}} |
                         {size, {W :: integer(), H :: integer()}} |
                         {style, integer()} |
                         {validator, wx:wx_object()}.

Initializes the object and calls `create/4` with all the parameters.

Link to this function

# setMaxPointSize(This, Max)

View Source

    -spec setMaxPointSize(This, Max) -> ok when This :: wxFontPickerCtrl(), Max :: integer().

Sets the maximum point size value allowed for the user-chosen font.

The default value is 100. Note that big fonts can require a lot of memory and CPU time both for creation and for rendering; thus, specially because the user has the option to specify the fontsize through a text control (see wxFNTP_USE_TEXTCTRL), it's a good idea to put a limit to the maximum font size when huge fonts do not make much sense.

Link to this function

# setSelectedFont(This, Font)

View Source

    -spec setSelectedFont(This, Font) -> ok when This :: wxFontPickerCtrl(), Font :: wxFont:wxFont().

Sets the currently selected font.

Note that this function is completely different from `wxWindow:setFont/2`.